echo off
REM #***********************************************************************
REM #* (c) Copyright IBM Corp. 2007 All rights reserved.                   *
REM #*                                                                     *
REM #* This sample program is owned by International Business Machines     *
REM #* Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
REM #* and licensed, not sold.                                             *
REM #*                                                                     *
REM #* You may copy, modify, and distribute this sample program in any     *
REM #* form without payment to IBM,  for any purpose including developing, *
REM #* using, marketing or distributing programs that include or are       *
REM #* derivative works of the sample program.                             *
REM #*                                                                     *
REM #* The sample program is provided to you on an "AS IS" basis, without  *
REM #* warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
REM #* WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
REM #* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
REM #* ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
REM #* limitation of implied warranties, so the above limitations or       *
REM #* exclusions may not apply to you.  IBM shall not be liable for any   *
REM #* damages you suffer as a result of using, modifying or distributing  *
REM #* the sample program or its derivatives.                              *
REM #*                                                                     *
REM #* Each copy of any portion of this sample program or any derivative   *
REM #* work,  must include a the above copyright notice and disclaimer of  *
REM #* warranty.                                                           *
REM #*                                                                     *
REM #***********************************************************************
echo on
REM Get rid of a previous import message file.
REM The import will fail if this exists already.
erase sjZipcodes.msg

REM Connect to the database and drop the existing table in case it exists
db2 connect to sample
db2 drop table myschema.zipcodes

REM Import the shapefile with San Jose zipcodes
db2se import_shape sample -tableSchema myschema -tableName zipcodes -spatialColumn location -idColumn se_row_id -fileName data\sjZipcodes.shp  -client 1 -messagesFile sjZipcodes.msg -srsName NAD83_SRS_1

REM Register the spatial column
db2se register_spatial_column sample -tableSchema myschema -tableName zipcodes  -columnName location -srsName NAD83_SRS_1

REM Grant select on the table so anyone can see it
db2 grant select on myschema.zipcodes to public
db2 connect reset
