#!/bin/sh

#***********************************************************************
#* (c) Copyright IBM Corp. 2007 All rights reserved.                   *
#*                                                                     *
#* This sample program is owned by International Business Machines     *
#* Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
#* and licensed, not sold.                                             *
#*                                                                     *
#* You may copy, modify, and distribute this sample program in any     *
#* form without payment to IBM,  for any purpose including developing, *
#* using, marketing or distributing programs that include or are       *
#* derivative works of the sample program.                             *
#*                                                                     *
#* The sample program is provided to you on an "AS IS" basis, without  *
#* warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
#* WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
#* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
#* ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
#* limitation of implied warranties, so the above limitations or       *
#* exclusions may not apply to you.  IBM shall not be liable for any   *
#* damages you suffer as a result of using, modifying or distributing  *
#* the sample program or its derivatives.                              *
#*                                                                     *
#* Each copy of any portion of this sample program or any derivative   *
#* work,  must include a the above copyright notice and disclaimer of  *
#* warranty.                                                           *
#*                                                                     *
#***********************************************************************

# Get rid of a previous import message file.
# The import will fail if this exists already.
rm sjZipCodes.msg

# Connect to the database and drop the existing table in case it exists
db2 connect to sample
db2 drop table myschema.zipcodes

# Import the shapefile with San Jose zipcodes
db2se import_shape sample -tableSchema myschema -tableName zipcodes -spatialColumn location -idColumn se_row_id -fileName data/sjZipCodes.shp  -client 1 -messagesFile sjZipCodes.msg -srsName NAD83_SRS_1

# Register the spatial column
db2se register_spatial_column sample -tableSchema myschema -tableName zipcodes  -columnName location -srsName NAD83_SRS_1

# Grant select on the table so anyone can see it
db2 grant select on myschema.zipcodes to public
db2 connect reset